Subject: Re: Odd number of elements in anonymous hash

From: Eric Wong <[email-masked]>
Date: Thu, 10 Jan 2008 00:38:46 -0800

Dennis Schridde <[email-masked]> wrote:
> Am Dienstag, 8. Januar 2008 18:21:55 schrieb Junio C Hamano:
> > Dennis Schridde <[email-masked]> writes:
> > > Hello!
> > >
> > > I am getting "Odd number of elements in anonymous hash at
> > > /usr/bin/git-svn line 1760." (normal output, no warning/error) during
> > > git-svn-clone. I am using git version 1.5.4.rc2.
> > >
> > > Line 1760 is this (with context, marked with '!!'):
> > >     # see if we have it in our config, first:
> > >     eval {
> > >         my $section = "svn-remote.$self->{repo_id}";
> > > !!        $svnsync = {
> > >           url => tmp_config('--get', "$section.svnsync-url"),
> > >           uuid => tmp_config('--get', "$section.svnsync-uuid"),
> > >         }
> > >     };
> > >
> > > The commandline was "git svn
> > > clone --authors-file=/var/git/org.gna.warzone.git/authors
> > > --use-svnsync-props --stdlayout file:///var/svn/warzone2100/
> > > org.gna.warzone.git/"
> > >
> > > I assume this is some kind of bug?
> >
> > More than one svn-remote.$your_repo.svnsync-{url,uuid}?
> PS: It doesn't happen for every revision and the folders (and thus config) 
> were empty before. The config doesn't list any "svnsync-*" during the import 
> process.

Can you look in .git/svn/.metadata for the svnsync-* values?  Thanks.

I downloaded your repository and couldn't reproduce it locally.

-- 
Eric Wong